/*
 *    (c) Copyright 2015 Hewlett-Packard Development Company, L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function () {
  'use strict';

  /**
   * @ngdoc overview
   * @name horizon.framework.util.validators
   * @description
   *
   * # horizon.framework.util.validators
   *
   * The `horizon.framework.util.validators` module provides support for validating
   * forms.
   *
   * | Directives                                                                      |
   * |---------------------------------------------------------------------------------|
   * | {@link horizon.framework.util.validators.directive:validateNumberMax `validateNumberMax`} |
   * | {@link horizon.framework.util.validators.directive:validateNumberMin `validateNumberMin`} |
   * | {@link horizon.framework.util.validators.directive:hzPasswordMatch `hzPasswordMatch`} |
   *
   */
  angular
    .module('horizon.framework.util.validators', []);

})();
